Retrieves the current shipping-rule mappings of the marketplace seller/account identified by its composite…
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/marketplace/sellers/{salesChannelId}/shipping-rule-mappings \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/marketplace/sellers/{salesChannelId}/shipping-rule-mappings"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/marketplace/sellers/{salesChannelId}/shipping-rule-mappings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mappings": [
{
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingRuleId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"carrierId": "<string>"
}
]
}wawi
Retrieves the current shipping-rule mappings of the marketplace seller/account identified by its composite…
GET
/
v2
/
marketplace
/
sellers
/
{salesChannelId}
/
shipping-rule-mappings
Retrieves the current shipping-rule mappings of the marketplace seller/account identified by its composite…
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The tenant ID for the target ERP instance.
Path Parameters
Composite SCX salesChannelId of the seller/account whose shipping-rule mappings are retrieved (format 11-8-{channelId}-{shopId}, ADR-69).
Response
Success.
Shipping-rule mappings currently assigned to a marketplace seller/account.
The persisted shipping-rule mappings, including the server-resolved carrier id.
Show child attributes
Show child attributes
Was this page helpful?
⌘I